Subject: bug#64124: 29.0.91; Loading ‘tramp’ unconditionally loads ‘ls-lisp’

From: Michael Albinus <[email-masked]>
Date: Sat, 17 Jun 2023 19:26:54 +0200

Sebastian Miele <[email-masked]> writes:

Hi Sebastian,

> Apart from that, there is a really long buffer ‘*debug tramp/ssh
> w@wolke*’ with 48 MiB of content.  In the hope that I do not publicly
> expose sensible information, I attached it to this mail.

It contains the following reponse from your remote host:

--8<---------------cut here---------------start------------->8---
18:58:58.587468 tramp-send-command (6) # exec ssh -l w -o ControlMaster=auto -o ControlPath=tramp.%C -o ControlPersist=no -e none wolke
18:59:58.593899 tramp-process-actions (6) # 
Last login: Sat Jun 17 18:57:59 2023 from 84.154.24.251
%                                                                               
[33m%[00m [?2004h
--8<---------------cut here---------------end--------------->8---

I suppose rour remote host runs zsh, which sets this prompt. Pls check
the Tramp manual how to mitigate this.

Best regards, Michael.